org.bouncycastle.bcpg

## Class ModDetectionCodePacket

- java.lang.Object
- - org.bouncycastle.bcpg.Packet
  - - org.bouncycastle.bcpg.ContainedPacket
    - - org.bouncycastle.bcpg.ModDetectionCodePacket

All Implemented Interfaces:
  PacketTags

    public class ModDetectionCodePacket
    extends ContainedPacket

basic packet for a modification detection code packet.

### Field Summary

### Fields inherited from interface org.bouncycastle.bcpg.PacketTags

`COMPRESSED_DATA, EXPERIMENTAL_1, EXPERIMENTAL_2, EXPERIMENTAL_3, EXPERIMENTAL_4, LITERAL_DATA, MARKER, MOD_DETECTION_CODE, ONE_PASS_SIGNATURE, PUBLIC_KEY, PUBLIC_KEY_ENC_SESSION, PUBLIC_SUBKEY, RESERVED, SECRET_KEY, SECRET_SUBKEY, SIGNATURE, SYM_ENC_INTEGRITY_PRO, SYMMETRIC_KEY_ENC, SYMMETRIC_KEY_ENC_SESSION, TRUST, USER_ATTRIBUTE, USER_ID`

### Constructor Summary

Constructors
Constructor and Description
`ModDetectionCodePacket(byte[] digest)`

### Method Summary

Methods
`void` `encode(BCPGOutputStream out)`
`byte[]` `getDigest()`

### Methods inherited from class org.bouncycastle.bcpg.ContainedPacket

`getEncoded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModDetectionCodePacket

    public ModDetectionCodePacket(byte[] digest)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getDigest

    public byte[] getDigest()

#### encode

    public void encode(BCPGOutputStream out)
                throws java.io.IOException

Specified by:
  `encode` in class `ContainedPacket`
Throws:
  `java.io.IOException`